// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyBmRfKugwc-_2fvlCknTuxGAA4IL9OsMiI',
    appId: '1:441177671584:web:5e6f5109aa082a608c86c5',
    messagingSenderId: '441177671584',
    projectId: 'memolary-12a2e',
    authDomain: 'memolary-12a2e.firebaseapp.com',
    storageBucket: 'memolary-12a2e.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyBLdxdp12jdGWTwExxeXo4dDnrErM8AxJU',
    appId: '1:441177671584:android:dd4f21ee9bee92da8c86c5',
    messagingSenderId: '441177671584',
    projectId: 'memolary-12a2e',
    storageBucket: 'memolary-12a2e.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCLg4rFGzApnDp1-7hr4t63zqS7_PWPwWI',
    appId: '1:441177671584:ios:a45fdd753a45bade8c86c5',
    messagingSenderId: '441177671584',
    projectId: 'memolary-12a2e',
    storageBucket: 'memolary-12a2e.appspot.com',
    iosClientId: '441177671584-8hqev9plfdsut8amjldjhcvdsj6pagkg.apps.googleusercontent.com',
    iosBundleId: 'com.example.memolaryMobile',
  );
}
